---
title: Seedance tekst naar video | RunAPI
description: Gebruik het eindpunt voor tekst naar video om een asynchrone taak aan
  te maken.
url: https://runapi.ai/nl/docs/api/seedance/text-to-video.md
canonical: https://runapi.ai/nl/docs/api/seedance/text-to-video
locale: nl
---

> HTML-versie: https://runapi.ai/nl/docs/api/seedance/text-to-video
> Site-index voor agents: https://runapi.ai/llms.txt

# Seedance tekst naar video

## Overzicht

Gebruik het eindpunt voor tekst naar video met een ondersteund model. Gebruik de geretourneerde taak-ID om de status op te halen, of geef callback_url op voor de hieronder gedocumenteerde leveringen.

### Snelstart

1. Maak een API-sleutel aan en stel deze in als RUNAPI_API_KEY.
2. Kies een ondersteund model en stuur een POST-verzoek waarvan de body overeenkomt met het schema van dat model.
3. Sla de geretourneerde taak-ID op en poll vervolgens totdat een eindstatus is bereikt, of verwerk de hieronder gedocumenteerde callbacks.

## Eindpunt

POST /api/v1/seedance/text_to_video

Basis-URL: https://runapi.ai

API-versie: v1

Authenticatie: Authorization: Bearer YOUR_API_TOKEN

## Ondersteunde modellen

Open een modelpagina voor actuele prijzen, snelheidslimieten en details over commercieel gebruik.

- [seedance-1.5-pro](https://runapi.ai/nl/models/seedance/1.5-pro)
- [seedance-2-mini](https://runapi.ai/nl/models/seedance/2-mini)
- [seedance-2.0](https://runapi.ai/nl/models/seedance/2.0)
- [seedance-2.0-fast](https://runapi.ai/nl/models/seedance/2.0-fast)
- [seedance-2.5](https://runapi.ai/nl/models/seedance/2.5)
- [seedance-v1-pro](https://runapi.ai/nl/models/seedance/v1-pro)
- [seedance-v1-pro-fast](https://runapi.ai/nl/models/seedance/v1-pro-fast)

## Verzoekschema

Velden en toegestane waarden zijn afhankelijk van het geselecteerde model. Indien opgegeven, ontvangt callback_url de hieronder gedocumenteerde taakaflevering.

### seedance-1.5-pro

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "max": 12,
    "min": 4,
    "required": true,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "generate_audio": {
    "type": "boolean"
  },
  "lock_camera": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "max": 2147483647,
    "min": -1,
    "type": "integer"
  },
  "source_image_urls": {
    "max_items": 2,
    "type": "array"
  }
}
```

### seedance-2-mini

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9",
      "auto"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "max": 15,
    "min": 4,
    "type": "integer"
  },
  "first_frame_image_url": {
    "type": "string"
  },
  "generate_audio": {
    "type": "boolean"
  },
  "last_frame_image_url": {
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "reference_audio_urls": {
    "max_items": 3,
    "type": "array"
  },
  "reference_image_urls": {
    "max_items": 9,
    "type": "array"
  },
  "reference_video_urls": {
    "max_items": 3,
    "type": "array"
  },
  "web_search": {
    "type": "boolean"
  }
}
```

### seedance-2.0

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9",
      "auto"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "max": 15,
    "min": 4,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "first_frame_image_url": {
    "type": "string"
  },
  "generate_audio": {
    "type": "boolean"
  },
  "last_frame_image_url": {
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p",
      "1080p",
      "4k"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "reference_audio_urls": {
    "max_items": 3,
    "type": "array"
  },
  "reference_image_urls": {
    "max_items": 9,
    "type": "array"
  },
  "reference_video_urls": {
    "max_items": 3,
    "type": "array"
  },
  "web_search": {
    "type": "boolean"
  }
}
```

### seedance-2.0-fast

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9",
      "auto"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "max": 15,
    "min": 4,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "first_frame_image_url": {
    "type": "string"
  },
  "generate_audio": {
    "type": "boolean"
  },
  "last_frame_image_url": {
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "reference_audio_urls": {
    "max_items": 3,
    "type": "array"
  },
  "reference_image_urls": {
    "max_items": 9,
    "type": "array"
  },
  "reference_video_urls": {
    "max_items": 3,
    "type": "array"
  },
  "web_search": {
    "type": "boolean"
  }
}
```

### seedance-2.5

```json
{
  "aspect_ratio": {
    "default": "auto",
    "description": "Uitvoer-beeldverhouding; auto laat RunAPI deze selecteren.",
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9",
      "auto"
    ],
    "type": "string"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone taakunpdates.",
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "description": "Videoduur in seconden; -1 selecteert de duur automatisch.",
    "enum": [
      -1,
      4,
      5,
      6,
      7,
      8,
      9,
      10,
      11,
      12,
      13,
      14,
      15,
      16,
      17,
      18,
      19,
      20,
      21,
      22,
      23,
      24,
      25,
      26,
      27,
      28,
      29,
      30
    ],
    "type": "integer"
  },
  "enable_safety_checker": {
    "description": "Of RunAPI gegenereerde inhoud controleert op veiligheid.",
    "type": "boolean"
  },
  "first_frame_image_url": {
    "description": "Publieke afbeeldings-URL voor het eerste frame voor framegeleide generatie.",
    "type": "string"
  },
  "generate_audio": {
    "default": true,
    "description": "Of gesynchroniseerde audio wordt gegenereerd.",
    "type": "boolean"
  },
  "last_frame_image_url": {
    "description": "Publieke afbeeldings-URL voor het laatste frame; vereist first_frame_image_url.",
    "type": "string"
  },
  "model": {
    "description": "RunAPI-modelidentificator.",
    "required": true,
    "type": "string"
  },
  "output_format": {
    "default": "mp4",
    "description": "Uitvoer videocontainerformaat.",
    "enum": [
      "mp4",
      "mov"
    ],
    "type": "string"
  },
  "output_resolution": {
    "default": "720p",
    "description": "Uitvoer videoresolutie.",
    "enum": [
      "480p",
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Prompt voor videogeneratie.",
    "length": true,
    "max": 30000,
    "min": 3,
    "required": true,
    "type": "string"
  },
  "reference_audio_urls": {
    "description": "Publieke referentieaudio-URL's; tot 10 audiobestanden.",
    "items": {
      "type": "string"
    },
    "max_items": 10,
    "type": "array"
  },
  "reference_image_urls": {
    "description": "Publieke referentieafbeeldings-URL's; tot 30 afbeeldingen.",
    "items": {
      "type": "string"
    },
    "max_items": 30,
    "type": "array"
  },
  "reference_video_urls": {
    "description": "Publieke referentievideo-URL's; tot 10 video's.",
    "items": {
      "type": "string"
    },
    "max_items": 10,
    "type": "array"
  },
  "return_last_frame": {
    "default": false,
    "description": "Of het laatste frame van de gegenereerde video wordt geretourneerd.",
    "type": "boolean"
  },
  "web_search": {
    "description": "Of de prompt wordt verrijkt met een webzoekopdracht.",
    "type": "boolean"
  }
}
```

### seedance-v1-pro

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "enum": [
      5,
      10
    ],
    "required": true,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "first_frame_image_url": {
    "type": "string"
  },
  "lock_camera": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "type": "integer"
  }
}
```

### seedance-v1-pro-fast

```json
{
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "enum": [
      5,
      10
    ],
    "required": true,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "first_frame_image_url": {
    "required": true,
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "max": 2147483647,
    "min": -1,
    "type": "integer"
  }
}
```

#### Voorwaardelijke regels

Deze vereisten zijn van toepassing wanneer alle vermelde voorwaarden overeenkomen.

- **Wanneer**: `first_frame_image_url` = `{"present" => true}`, `model` = `seedance-2.5`; **Niet geaccepteerd**: `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`
- **Wanneer**: `last_frame_image_url` = `{"present" => true}`, `model` = `seedance-2.5`; **Vereist**: `first_frame_image_url`; **Niet geaccepteerd**: `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`
- **Wanneer**: `model` = `seedance-1.5-pro`; **Niet geaccepteerd**: `first_frame_image_url`, `last_frame_image_url`, `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`, `web_search`, `return_last_frame`, `output_format`
- **Wanneer**: `model` = `seedance-2-mini`; **Niet geaccepteerd**: `source_image_urls`, `lock_camera`, `seed`, `enable_safety_checker`, `return_last_frame`, `output_format`
- **Wanneer**: `model` = `seedance-2.0`; **Niet geaccepteerd**: `source_image_urls`, `lock_camera`, `seed`, `return_last_frame`, `output_format`
- **Wanneer**: `model` = `seedance-2.0-fast`; **Niet geaccepteerd**: `source_image_urls`, `lock_camera`, `seed`, `return_last_frame`, `output_format`
- **Wanneer**: `model` = `seedance-2.5`; **Niet geaccepteerd**: `source_image_urls`, `lock_camera`, `seed`
- **Wanneer**: `model` = `seedance-v1-pro`; **Niet geaccepteerd**: `source_image_urls`, `last_frame_image_url`, `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`, `web_search`, `generate_audio`, `return_last_frame`, `output_format`
- **Wanneer**: `model` = `seedance-v1-pro-fast`; **Niet geaccepteerd**: `aspect_ratio`, `source_image_urls`, `lock_camera`, `last_frame_image_url`, `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`, `web_search`, `generate_audio`, `return_last_frame`, `output_format`

## Acceptatie aanmaken

HTTP 202 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Pollen bezig

HTTP 200 - GET /api/v1/seedance/text_to_video/:id

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Pollen voltooid

HTTP 200 - GET /api/v1/seedance/text_to_video/:id

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "last_frame_image_url": {
      "type": "string",
      "x-runapi-generated-media": true
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## Pollen mislukt

HTTP 200 - GET /api/v1/seedance/text_to_video/:id

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Callback van klant: voltooid

HTTP 200 - POST callback_url

### Responsschema

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "last_frame_image_url": {
      "type": "string",
      "x-runapi-generated-media": true
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## Callback van klant: mislukt

HTTP 200 - POST callback_url

### Responsschema

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Fouten

HTTP 401 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Authentication required"
}
```

## Fouten

HTTP 401 - GET /api/v1/seedance/text_to_video/:id

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Authentication required"
}
```

## Fouten

HTTP 400 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Leesbare foutmelding.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Leesbare validatiesamenvatting.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Validatieberichten gekoppeld aan het openbare aanvraagveld, met een reeks leesbare tekenreeksen per veld.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Responsvoorbeeld

```json
{
  "error": "model must be one of: seedance-1.5-pro, seedance-2-mini, seedance-2.0, seedance-2.0-fast, seedance-2.5, seedance-v1-pro, seedance-v1-pro-fast"
}
```

## Fouten

HTTP 402 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Insufficient balance"
}
```

## Fouten

HTTP 429 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "API key credit limit exceeded"
}
```

## Fouten

HTTP 409 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Fouten

HTTP 429 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Fouten

HTTP 503 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Fouten

HTTP 504 - POST /api/v1/seedance/text_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "The request timed out"
}
```

## Fouten

HTTP 404 - GET /api/v1/seedance/text_to_video/:id

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## Gegenereerde codevoorbeelden

Gebruik cURL rechtstreeks, of installeer een SDK voor uw taal. Elk voorbeeld dient het gevalideerde verzoek in dat in deze referentie wordt getoond.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/seedance/text_to_video \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"seedance-1.5-pro","duration_seconds":5,"prompt":"A time-lapse of clouds moving over a mountain lake."}'
```

### javascript

#### Installeren

```bash
npm install @runapi.ai/seedance
```

```javascript
import { SeedanceClient } from "@runapi.ai/seedance";

const client = new SeedanceClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.textToVideo.create({
  "model": "seedance-1.5-pro",
  "duration_seconds": 5,
  "prompt": "A time-lapse of clouds moving over a mountain lake."
});
```

### python

#### Installeren

```bash
pip install runapi-seedance
```

```python
import os
from runapi.seedance import SeedanceClient

client = SeedanceClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.text_to_video.create(
  model="seedance-1.5-pro",
  duration_seconds=5,
  prompt="A time-lapse of clouds moving over a mountain lake."
)
```

### go

#### Installeren

```bash
go get github.com/runapi-ai/seedance-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  seedance "github.com/runapi-ai/seedance-sdk/go/seedance"
)

func main() {
  client, err := seedance.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.TextToVideo.Create(context.Background(), seedance.TextToVideoParams{
    Model: seedance.SeedanceModel("seedance-1.5-pro"),
    DurationSeconds: func(value int) *int { return &value }(5),
    Prompt: "A time-lapse of clouds moving over a mountain lake.",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### Installeren

```bash
gem install runapi-seedance
```

```ruby
require "runapi/seedance"

client = RunApi::Seedance::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.text_to_video.create(
  model: "seedance-1.5-pro",
  duration_seconds: 5,
  prompt: "A time-lapse of clouds moving over a mountain lake."
)
```

### java

#### Installeren

```kotlin
implementation("ai.runapi:runapi-seedance")
```

```java
import ai.runapi.seedance.SeedanceClient;
import ai.runapi.seedance.types.TextToVideoParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    SeedanceClient client = SeedanceClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.textToVideo().create(
        TextToVideoParams.builder()
        .model("seedance-1.5-pro")
        .durationSeconds(5)
        .prompt("A time-lapse of clouds moving over a mountain lake.")
            .build()
    );
  }
}
```

### php

#### Installeren

```bash
composer require runapi-ai/seedance
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Seedance\SeedanceClient;

$client = new SeedanceClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->textToVideo->create([
  "model" => "seedance-1.5-pro",
  "duration_seconds" => 5,
  "prompt" => "A time-lapse of clouds moving over a mountain lake."
]);
```

## Gerelateerde handleidingen

- [Authenticatie](https://runapi.ai/nl/docs/guides/authentication.md)
- [Snelstart](https://runapi.ai/nl/docs/guides/task-api/quickstart.md)

---

## Meer van RunAPI

- [Home](https://runapi.ai/nl/.md)
- [Modelcatalogus](https://runapi.ai/nl/models.md)
- [Prijzen](https://runapi.ai/nl/pricing.md)
- [Providers](https://runapi.ai/nl/models)
- [Documentatie](https://runapi.ai/nl/docs/guides)
- [SDK's](https://runapi.ai/nl/sdk.md)
- [CLI](https://runapi.ai/nl/cli.md)
- [MCP Server](https://runapi.ai/nl/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/nl/claude-code-vs-cursor.md)
- [Cursor API instellen](https://runapi.ai/nl/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/nl/openrouter-alternative.md)
- [Enterprise](https://runapi.ai/nl/contact.md)
- [Contact](https://runapi.ai/nl/contact.md)
- [Voorwaarden](https://runapi.ai/nl/terms.md)
- [Privacy](https://runapi.ai/nl/privacy.md)
- [Site-index voor agents](https://runapi.ai/llms.txt)

Contact: contact@runapi.ai

## Gestructureerde gegevens

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/nl/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/nlicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "TechArticle",
    "headline": "Seedance tekst naar video",
    "description": "Gebruik het eindpunt voor tekst naar video om een asynchrone taak aan te maken.",
    "url": "https://runapi.ai/nl/docs/api/seedance/text-to-video",
    "mainEntityOfPage": "https://runapi.ai/nl/docs/api/seedance/text-to-video"
  }
]
```
